<?php defined('SYSPATH') OR die('No direct access allowed.');

class NacomaApi_Model extends Model
{
	protected $_path = "/opt/monitor/op5/nacoma/api/";

	static public function create_services($service_list, & $result)
	{
		if (empty($service_list)) {
			return TRUE;
		}
		$username = Auth::instance()->get_user()->username;
		$APINACOMAFILE = '/opt/monitor/op5/nacoma/api/monitor.php ';
		$action_url_tmpl = '/monitor/index.php/synergy/view#/tree:';
		foreach ($service_list as $data) {
			list($host, $dsc) = $data["service"];
			$url = $action_url_tmpl.$data["path"];
			exec("php $APINACOMAFILE -t service -o template=bizproc_service -o host_name=\"$host\" -o service_description=\"$dsc\" -o action_url=\"$url\" -u '$username'", $output, $status);
			if($status)
				throw new Exception(implode("\n", $output));
		}
		return TRUE;
	}

	static public function delete_services($service_list, & $result)
	{
		if (empty($service_list)) {
			return TRUE;
		}
		$username = Auth::instance()->get_user()->username;
		$APINACOMAFILE = '/opt/monitor/op5/nacoma/api/monitor.php ';
		foreach($service_list as $data) {
			list($host, $dsc) = $data["service"];
			exec("php $APINACOMAFILE -t service -n \"$host;$dsc\" -a delete -u '$username'", $output, $status);
			if($status) 
				throw new Exception(implode("\n", $output));
		}
		return TRUE;
	}

	static public function saveconfig(& $result)
	{
		$nacoma_api_path = '/opt/monitor/op5/nacoma/api/monitor.php ';
		$username = Auth::instance()->get_user()->username;
		$command_save_config = "-a save_config -u '$username'";
		exec("php $nacoma_api_path $command_save_config", $output, $status);
		if($status)
			throw new Exception(implode("\n", $output));
		$result = ob_get_clean();
		return TRUE;
	}
}
