local _G = _G
module(...)
local state_map = { "OK", "WARNING", "CRITICAL" }
random = {
	name = "Random",
	tag = "value",
	order = 11,
	description = "Just a random state",
	hint = "Return random state value",
	rule = function(items)
		local num = _G.real_random(0, 2)
		return {{ 
			status = num, 
			msg = "This is the random state ".. state_map[num+1],
			host_contacts = "*",
			host_contact_groups = "*",
			service_contacts = "*",
			service_contact_groups = "*"
		}}
	end,
	params = { }
}
